# class ActiveRecord::ConnectionAdapters::SavepointTransaction

### Public Class Methods

new(connection, savepoint_name, options, *args) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 103
    def initialize(connection, savepoint_name, options, *args)
      super(connection, options, *args)
      if options[:isolation]
        raise ActiveRecord::TransactionIsolationError, "cannot set transaction isolation in a nested transaction"
      end
      connection.create_savepoint(@savepoint_name = savepoint_name)
    end

### Public Instance Methods

commit() click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 116
    def commit
      connection.release_savepoint(savepoint_name)
      super
    end

full_rollback?() click to toggle source

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 121
    def full_rollback?; false; end

rollback() click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 111
    def rollback
      connection.rollback_to_savepoint(savepoint_name)
      super
    end